body {
    overflow: hidden;
    margin: 0;
}

#main {
    width: 100vw;
    height: 100vh;
    background: #031963;
    color: rgb(194, 194, 194);
    overflow: hidden;
    margin: 0;
}

#player1 {
    position: absolute;
    bottom: 0px;
    width: 100vw;
    height: 20vh;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    visibility: hidden;
}

#player1 .przyciskPlayer {
    font-size: 60px;
    margin: 30px;
    cursor: pointer;
}

#player1 .mp3Desc {
    font-size: 20px;
    margin: 30px;
    width: 40%;
}

.pic1 {
    border: 1px solid black;
    box-sizing: border-box;
    width: 100%;
    height: 20vw;
}

#currentTime {
    visibility: hidden;
    /* position: absolute;
    top: 0px; */
    display: flex;
    /* align-items: center; */
    justify-content: center;
}

#currentTime .timer {
    float: left;
    width: 30px;
    font-size: 30px;
    text-align: center;
}

#pasekBackground {
    position: absolute;
    bottom: 0px;
    height: 20px;
    width: 60%;
    left: 50%;
    transform: translate(-50%);
    background: rgba(223, 223, 223, 0.1)
}

#pasekCzas {
    height: 100%;
    width: 0%;
    background: rgba(223, 223, 223, 0.747)
}

#pic {
    position: absolute;
    top: 0vh;
    height: 80vh;
    width: 20vw;
    background: #031963;
    overflow: auto;
    flex-direction: column;
    overflow: auto;
}

#pic::-webkit-scrollbar {
    display: initial;
    width: 12px;
    background: #031963;
}

#pic::-webkit-scrollbar-thumb {
    background: transparent
}

#pic:hover::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background: -webkit-linear-gradient(45deg, red 0%, red 16%, orange 20%, orange 34%, yellow 36%, yellow 50%, rgb(2, 199, 2) 54%, rgb(2, 199, 2) 66%, rgb(0, 255, 255) 69%, rgb(0, 255, 255) 83%, blue 85%, blue 100%);
}

.pic1 img {
    width: 100%;
    height: 100%;
}

#lista {
    position: absolute;
    top: 0vh;
    left: 20vw;
    height: 80vh;
    width: 75vw;
    /* background: rgba(202, 202, 202, 0.3542); */
    overflow: auto;
}

#playlistaDiv {
    position: absolute;
    top: 0vh;
    left: 95vw;
    height: 80vh;
    width: 5vw;
}

#playlistaBt1 {
    position: absolute;
    top: 0px;
    font-size: 40px;
    margin: 10px;
    cursor: pointer;
}

.piosenka {
    box-sizing: border-box;
    width: 100%;
    float: left;
    height: 50px;
    display: flex;
    align-items: center;
    font-size: 20px;
}

.piosenka:nth-child(1) {
    background: #031963;
    font-weight: bold;
}

.piosenka:nth-child(2n) {
    background: rgba(0, 0, 0, 0.1);
}

.piosenka:not(:first-child):hover {
    background: rgba(0, 0, 0, 0.4);
}

.piosenka:hover .play, .piosenka:hover .playlista {
    visibility: visible;
}

.piosenka * {
    text-align: center;
    float: left;
    box-sizing: border-box;
}

.piosenka .album {
    width: 30%;
}

.piosenka .tytul {
    width: 40%;
}

.piosenka .rozmiar {
    width: 15%;
}

.piosenka .play {
    visibility: hidden;
    width: 10%;
    cursor: pointer;
}

.piosenka .playlista {
    visibility: hidden;
    width: 10%;
    cursor: pointer;
}

.piosenka .wypelnienie {
    width: 10%;
}

.selected {
    background: -webkit-linear-gradient(50deg, transparent 5%, rgba(255, 0, 0, 0.2), rgba(255, 166, 0, 0.2), rgba(255, 255, 0, 0.2), rgba(2, 199, 2, 0.2), rgba(0, 255, 255, 0.2), rgba(0, 0, 255, 0.2), transparent 95%) !important;
}

.selected .play {
    visibility: visible
}

#audio {
    visibility: hidden;
}

#rainbowBackground {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100vw;
    height: 100vh;
    background: -webkit-linear-gradient(50deg, rgba(255, 0, 0, 0.35), rgba(255, 166, 0, 0.35), rgba(255, 255, 0, 0.35), rgba(2, 199, 2, 0.35), rgba(0, 255, 255, 0.35), rgba(0, 0, 255, 0.35)) !important;
    /* z-index: 3; */
    pointer-events: none;
}

#Visual {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100vw;
    height: 100vh;
    /* background: -webkit-linear-gradient(50deg, transparent, rgba(255, 0, 0, 0.4), rgba(255, 166, 0, 0.4), rgba(255, 255, 0, 0.4), rgba(2, 199, 2, 0.4), rgba(0, 255, 255, 0.4), rgba(0, 0, 255, 0.4), transparent 95%) !important; */
    background: black;
    visibility: hidden;
    z-index: 3;
    /* pointer-events: none; */
}

#pojemnikDivy {
    position: absolute;
    bottom: -5vh;
    left: 0px;
    width: 100vw;
    height: 100vh;
}

.uf {
    position: absolute;
    /* border: 1px solid red; */
    /* height: 20vh;
    width: 6vw; */
    margin: auto;
    height: 18vh;
    width: 5vw;
    float: right;
    transform: rotate(-40deg);
    background: -webkit-linear-gradient(90deg, transparent, rgba(255, 0, 0, 0.4), rgba(255, 166, 0, 0.4), rgba(255, 255, 0, 0.4), rgba(2, 199, 2, 0.4), rgba(0, 255, 255, 0.4), rgba(0, 0, 255, 0.4), transparent 95%) !important;
    background: linear-gradient(90deg, transparent, rgba(255, 0, 0, 0.4), rgba(255, 166, 0, 0.4), rgba(255, 255, 0, 0.4), rgba(2, 199, 2, 0.4), rgba(0, 255, 255, 0.4), rgba(0, 0, 255, 0.4), transparent 95%) !important;
    background-size: 100vh 100vw !important;
    background-repeat: no-repeat !important;
}

/* ---- reset ---- */

canvas {
    display: block;
    /* vertical-align: bottom; */
}

/* ---- particles.js container ---- */

#particles-js {
    position: absolute;
    top: 0vh;
    left: 20vw;
    height: 80vh;
    width: 75vw;
    background-color: #06227e;
    background-image: url("http://vincentgarreau.com/particles.js/assets/img/kbLd9vb_new.gif");
    background-repeat: no-repeat;
    background-size: 60%;
    background-position: 0 50%;
}